<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.tasks Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api.tasks Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/specs/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/api/tasks/ant/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.api.tasks</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">org.gradle.api.internal.AbstractTask (implements org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api"><span class="strong">DefaultTask</span></a>
<ul>
<li type="circle">org.gradle.api.internal.ConventionTask (implements org.gradle.api.internal.IConventionAware)
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/AbstractCopyTask.html" title="class in org.gradle.api.tasks"><span class="strong">AbstractCopyTask</span></a> (implements org.gradle.api.file.<a href="../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a>, org.gradle.api.internal.file.copy.CopySpecSource)
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Copy.html" title="class in org.gradle.api.tasks"><span class="strong">Copy</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Sync.html" title="class in org.gradle.api.tasks"><span class="strong">Sync</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="class in org.gradle.api.tasks"><span class="strong">AbstractExecTask</span></a>&lt;T&gt; (implements org.gradle.process.<a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a>)
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Exec.html" title="class in org.gradle.api.tasks"><span class="strong">Exec</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Delete.html" title="class in org.gradle.api.tasks"><span class="strong">Delete</span></a> (implements org.gradle.api.file.<a href="../../../../org/gradle/api/file/DeleteSpec.html" title="interface in org.gradle.api.file">DeleteSpec</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/GradleBuild.html" title="class in org.gradle.api.tasks"><span class="strong">GradleBuild</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/JavaExec.html" title="class in org.gradle.api.tasks"><span class="strong">JavaExec</span></a> (implements org.gradle.process.<a href="../../../../org/gradle/process/JavaExecSpec.html" title="interface in org.gradle.process">JavaExecSpec</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks"><span class="strong">SourceTask</span></a> (implements org.gradle.api.tasks.util.<a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Upload.html" title="class in org.gradle.api.tasks"><span class="strong">Upload</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/WriteProperties.html" title="class in org.gradle.api.tasks"><span class="strong">WriteProperties</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/GroovyRuntime.html" title="class in org.gradle.api.tasks"><span class="strong">GroovyRuntime</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/ScalaRuntime.html" title="class in org.gradle.api.tasks"><span class="strong">ScalaRuntime</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="strong">Exception</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><span class="strong">RuntimeException</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/GradleException.html" title="class in org.gradle.api"><span class="strong">GradleException</span></a>
<ul>
<li type="circle">org.gradle.internal.exceptions.DefaultMultiCauseException (implements org.gradle.internal.exceptions.MultiCauseException)
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskValidationException.html" title="class in org.gradle.api.tasks"><span class="strong">TaskValidationException</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/StopActionException.html" title="class in org.gradle.api.tasks"><span class="strong">StopActionException</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskExecutionException.html" title="class in org.gradle.api.tasks"><span class="strong">TaskExecutionException</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskInstantiationException.html" title="class in org.gradle.api.tasks"><span class="strong">TaskInstantiationException</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/StopExecutionException.html" title="class in org.gradle.api.tasks"><span class="strong">StopExecutionException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/WorkResults.html" title="class in org.gradle.api.tasks"><span class="strong">WorkResults</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks"><span class="strong">AntBuilderAware</span></a>
<ul>
<li type="circle">org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><span class="strong">FileCollection</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><span class="strong">SourceSetOutput</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api"><span class="strong">Buildable</span></a>
<ul>
<li type="circle">org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><span class="strong">FileCollection</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><span class="strong">SourceSetOutput</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskInputs.html" title="interface in org.gradle.api.tasks"><span class="strong">CompatibilityAdapterForTaskInputs</span></a>
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskInputs.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskInputs</span></a>
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskInputFilePropertyBuilder</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskFilePropertyBuilder</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks"><span class="strong">CompatibilityAdapterForTaskOutputs</span></a>
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskOutputs</span></a>
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskOutputFilePropertyBuilder</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskFilePropertyBuilder</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.util.Configurable&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">PolymorphicDomainObjectContainer</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskContainer</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskCollection.html" title="interface in org.gradle.api.tasks">TaskCollection</a>&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">SourceSetContainer</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/GroovySourceSet.html" title="interface in org.gradle.api.tasks"><span class="strong">GroovySourceSet</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><span class="strong">Collection</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">DomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectSet</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;E&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.util.Configurable&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">PolymorphicDomainObjectContainer</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskContainer</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskCollection.html" title="interface in org.gradle.api.tasks">TaskCollection</a>&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">SourceSetContainer</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">SourceSetContainer</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskCollection.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskContainer</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">PolymorphicDomainObjectContainer</a>&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util"><span class="strong">Set</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectSet</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">NamedDomainObjectContainer</span></a>&lt;T&gt; (also extends org.gradle.util.Configurable&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api"><span class="strong">PolymorphicDomainObjectContainer</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskContainer</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskCollection.html" title="interface in org.gradle.api.tasks">TaskCollection</a>&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">SourceSetContainer</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;)</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">SourceSetContainer</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskCollection.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskContainer.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskContainer</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">PolymorphicDomainObjectContainer</a>&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><span class="strong">FileCollection</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceSetOutput.html" title="interface in org.gradle.api.tasks"><span class="strong">SourceSetOutput</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api"><span class="strong">Named</span></a>
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskReference.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskReference</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/ScalaSourceSet.html" title="interface in org.gradle.api.tasks"><span class="strong">ScalaSourceSet</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks"><span class="strong">SourceSet</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskDependency.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskDependency</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskDestroyables.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskDestroyables</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskPropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskPropertyBuilder</span></a>
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskFilePropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskFilePropertyBuilder</span></a>
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskInputFilePropertyBuilder</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskInputs.html" title="interface in org.gradle.api.tasks">TaskInputs</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskOutputFilePropertyBuilder</span></a> (also extends org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskState.html" title="interface in org.gradle.api.tasks"><span class="strong">TaskState</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/VerificationTask.html" title="interface in org.gradle.api.tasks"><span class="strong">VerificationTask</span></a></li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/WorkResult.html" title="interface in org.gradle.api.tasks"><span class="strong">WorkResult</span></a></li>
</ul>
<h2 title="Annotation Type Hierarchy">Annotation Type Hierarchy</h2>
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/CompileClasspath.html" title="annotation in org.gradle.api.tasks"><span class="strong">CompileClasspath</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Console.html" title="annotation in org.gradle.api.tasks"><span class="strong">Console</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/OutputFiles.html" title="annotation in org.gradle.api.tasks"><span class="strong">OutputFiles</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks"><span class="strong">Input</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Destroys.html" title="annotation in org.gradle.api.tasks"><span class="strong">Destroys</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks"><span class="strong">PathSensitive</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks"><span class="strong">OutputDirectory</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SkipWhenEmpty.html" title="annotation in org.gradle.api.tasks"><span class="strong">SkipWhenEmpty</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks"><span class="strong">Internal</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Nested.html" title="annotation in org.gradle.api.tasks"><span class="strong">Nested</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskAction.html" title="annotation in org.gradle.api.tasks"><span class="strong">TaskAction</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/InputDirectory.html" title="annotation in org.gradle.api.tasks"><span class="strong">InputDirectory</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/OutputFile.html" title="annotation in org.gradle.api.tasks"><span class="strong">OutputFile</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/InputFiles.html" title="annotation in org.gradle.api.tasks"><span class="strong">InputFiles</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/OutputDirectories.html" title="annotation in org.gradle.api.tasks"><span class="strong">OutputDirectories</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks"><span class="strong">Classpath</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/InputFile.html" title="annotation in org.gradle.api.tasks"><span class="strong">InputFile</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks"><span class="strong">CacheableTask</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks"><span class="strong">Optional</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="strong">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/PathSensitivity.html" title="enum in org.gradle.api.tasks"><span class="strong">PathSensitivity</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/specs/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/api/tasks/ant/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
